Index: /extensions/NBC_UserAdvManager/branches/2.13/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/main.inc.php	(revision 4990)
+++ /extensions/NBC_UserAdvManager/branches/2.13/main.inc.php	(revision 4991)
@@ -2,6 +2,6 @@
 /*
 Plugin Name: NBC UserAdvManager
-Version: 2.13.3
-Description: Renforcer les possibilités de gestion des utilisateurs - Enforce users management
+Version: 2.13.4
+Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
 Author: Nicco, Eric
@@ -9,5 +9,5 @@
 */
 
-/* History:  NBC_UserAdvManager_PATH.'Changelog.txt.php' */
+/* History:  NBC_UAM_PATH.'Changelog.txt.php' */
 
 /*
@@ -37,17 +37,12 @@
 */
 
-
-if (!defined('PHPWG_ROOT_PATH'))
-{
-  die('Hacking attempt!');
-}
-
-define('NBC_UserAdvManager_DIR' , basename(dirname(__FILE__)));
-define('NBC_UserAdvManager_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-
-include_once (NBC_UserAdvManager_PATH.'include/constants.php');
-include_once (NBC_UserAdvManager_PATH.'include/functions_UserAdvManager.inc.php');
-
-load_language('plugin.lang', NBC_UserAdvManager_PATH);
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+if (!defined('NBC_UAM_DIR')) define('NBC_UAM_DIR' , basename(dirname(__FILE__)));
+if (!defined('NBC_UAM_PATH')) define('NBC_UAM_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
+
+include_once (NBC_UAM_PATH.'include/constants.php');
+include_once (NBC_UAM_PATH.'include/functions_UserAdvManager.inc.php');
+
+load_language('plugin.lang', NBC_UAM_PATH);
 
 
@@ -60,5 +55,5 @@
     array(
       'NAME' => 'UserAdvManager',
-      'URL'  => get_admin_plugin_menu_link(NBC_UserAdvManager_PATH.'/admin/UserAdvManager_admin.php')
+      'URL'  => get_admin_plugin_menu_link(NBC_UAM_PATH.'/admin/UserAdvManager_admin.php')
     )
   );
@@ -67,5 +62,5 @@
 }
 
-
+/* Lastvisit table feed for Ghost Tracker */
 add_event_handler('loc_begin_index', 'UserAdvManager_GhostTracker');
 
@@ -124,5 +119,5 @@
   
   /* Sending registration confirmation by email */
-  if ((isset($conf_nbc_UserAdvManager[0]) and $conf_nbc_UserAdvManager[0] == 'true') or (isset($conf_nbc_UserAdvManager[2]) and $conf_nbc_UserAdvManager[2] == 'true'))
+  if ((isset($conf_nbc_UserAdvManager[0]) and $conf_nbc_UserAdvManager[0] == 'true' and !is_admin()) or (isset($conf_nbc_UserAdvManager[2]) and $conf_nbc_UserAdvManager[2] == 'true' and !is_admin()))
   {
     $passwd = (isset($_POST['password'])) ? $_POST['password'] : '';
@@ -267,5 +262,5 @@
 
   /* Username without forbidden keys */
-  if (isset($conf_nbc_UserAdvManager[7]) and $conf_nbc_UserAdvManager[7] == 'true' and !empty($_POST['login']) and ValidateUsername($_POST['login']))
+  if (isset($conf_nbc_UserAdvManager[7]) and $conf_nbc_UserAdvManager[7] == 'true' and !empty($_POST['login']) and ValidateUsername($_POST['login']) and !is_admin())
   {
     $_POST['login'] = '';
@@ -274,5 +269,5 @@
 
   /* Email without forbidden domains */
-  if (isset($conf_nbc_UserAdvManager[12]) and $conf_nbc_UserAdvManager[12] == 'true' and !empty($_POST['mail_address']) and ValidateEmailProvider($_POST['mail_address']))
+  if (isset($conf_nbc_UserAdvManager[12]) and $conf_nbc_UserAdvManager[12] == 'true' and !empty($_POST['mail_address']) and ValidateEmailProvider($_POST['mail_address']) and !is_admin())
   {
     $_POST['mail_address'] = '';
@@ -292,5 +287,5 @@
     $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
 
-    if (isset($_POST['validate']))
+    if (isset($_POST['validate']) and !is_admin())
     {
       /* Email without forbidden domains */
@@ -367,5 +362,5 @@
 function UserAdvManager_InitPage()
 {
-  load_language('plugin.lang', NBC_UserAdvManager_PATH);
+  load_language('plugin.lang', NBC_UAM_PATH);
   global $conf, $template, $page, $lang, $errors;
 
@@ -392,5 +387,5 @@
 function UserAdvManager_CheckEmptyCommentAuthor($comment_action, $comm)
 {
-  load_language('plugin.lang', NBC_UserAdvManager_PATH);
+  load_language('plugin.lang', NBC_UAM_PATH);
   global $infos, $conf, $template;
 
Index: /extensions/NBC_UserAdvManager/branches/2.13/maintain.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/maintain.inc.php	(revision 4990)
+++ /extensions/NBC_UserAdvManager/branches/2.13/maintain.inc.php	(revision 4991)
@@ -1,9 +1,8 @@
 <?php
 
-if(!defined("NBC_UserAdvManager_PATH"))
-  define('NBC_UserAdvManager_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-
-include_once (NBC_UserAdvManager_PATH.'include/constants.php');
-include_once (NBC_UserAdvManager_PATH.'include/functions_UserAdvManager.inc.php');
+if(!defined("NBC_UAM_PATH")) define('NBC_UAM_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
+
+include_once (NBC_UAM_PATH.'include/constants.php');
+include_once (NBC_UAM_PATH.'include/functions_UserAdvManager.inc.php');
 
 function plugin_install()
@@ -13,5 +12,5 @@
   $q = '
 INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
-VALUES ("nbc_UserAdvManager","true;false;false;-1;-1;-1;false;false;;-1;;;false;;false;100;false;false;10;Hello.
+VALUES ("nbc_UserAdvManager","false;false;false;-1;-1;-1;false;false;;-1;;;false;;false;100;false;false;10;Hello.
 	
 This is a reminder because a very long time passed since your last visit on our gallery. If you do not want anymore to use your access account, please let us know by replying to this email. Your account will be deleted.
@@ -21,5 +20,5 @@
 Best regards,
 
-The admin of the gallery.","Parametres du plugin nbc UserAdvManager")
+The admin of the gallery.;false","Parametres du plugin nbc UserAdvManager")
   ;';
   pwg_query($q);
@@ -66,4 +65,7 @@
 {
 	  global $conf;
+    
+/* Cleaning obsolete files */
+    update_files($plugin_id);
 	
 /* Check for upgrade from 2.10 to 2.11 */
@@ -234,3 +236,8 @@
   }
 }
+
+function update_files($plugin_id)
+{
+  $clean = clean_obsolete_files(UAM_OBSOLETE);
+}
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/obsolete.list
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/obsolete.list	(revision 4991)
+++ /extensions/NBC_UserAdvManager/branches/2.13/obsolete.list	(revision 4991)
@@ -0,0 +1,1 @@
+admin/confirmmail.tpl
